% showSpikeTrains.m
% script displays the original neural spike trains recorded from four 
% hippocampal place cells during one traversal of a rat along a linear
% track (Trial 1). The four neurons correspond to cell numbers 25,23,7,28
% in the Lab 6 handout

figure('Position', [100 100 1200 600])
cellnum = [25 23 7 28];
for i = 1:4
    subplot(4,1,i)
    spikeTimes = rawSpikeTrainTrial1{i};
    spikes = ones(length(spikeTimes),1);
    bar(spikeTimes, spikes)
    axis([6240 6260 0 1])
    xlabel('time (sec)')
    ylabel('spikes')
    title(['spike train for cell #' num2str(cellnum(i))])
end
